booster::stack_trace Namespace Reference

Namespace that holds basic operations for implementing stack trace. More...

## Functions

BOOSTER_API int | trace (void **addresses, int size)
| Record stack frame. More...
BOOSTER_API void | write_symbols (void *const *addresses, int size, std::ostream &)
| Print stack trace. More...
BOOSTER_API std::string | get_symbol (void *address)
| Get stack trace information about a single address recorded.
BOOSTER_API std::string | get_symbols (void *const *address, int size)
| Get stack trace information about multiple address recorded.

## Detailed Description

Namespace that holds basic operations for implementing stack trace.

## Function Documentation

BOOSTER_API int booster::stack_trace::trace | ( | void ** | addresses,
|  | int | size
| ) |  |

Record stack frame.

Records at most size stack frames returning the pointers to the running code into addresses vector that should have at least size places

returns that number of actually recorded frames

Referenced by booster::backtrace::backtrace().

BOOSTER_API void booster::stack_trace::write_symbols | ( | void *const * | addresses,
|  | int | size,
|  | std::ostream & |
| ) |  |

Print stack trace.

Writes stack trace recorded trace function of size size to the output stream

Referenced by booster::backtrace::trace(), and booster::backtrace::trace_line().